IP Detection
ASN-lookup-API
Het autonome systeem van een IP en wat voor netwerk het is.
De ASN ophalen
GET/v1/asn/{ip}
API-sleutel
Parameters
- ipstringpadVerplicht
IPv4- of IPv6-adres.
Antwoordvelden
- ipstring
Gecontroleerd IP-adres.
- asnstring
Autonoom systeemnummer, zoals AS15169.
- namestring
Naam van de organisatie die het netwerk beheert.
- typestring
hosting, isp, vpn, education, government, mobile of unknown.
- countrystring
Land waar de ASN geregistreerd is.
curl https://ipscanner.io/v1/asn/1.1.1.1 \
-H "Authorization: Bearer YOUR_API_KEY"Antwoord
{
"ip": "1.1.1.1",
"asn": "AS13335",
"name": "CLOUDFLARENET",
"type": "hosting",
"country": "US"
}